Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BallSpecialist::BallPoint Class Reference

The class represents a ball point. More...

Inheritance diagram for GT2005BallSpecialist::BallPoint:

[legend]
Collaboration diagram for GT2005BallSpecialist::BallPoint:

[legend]
List of all members.

## Public Member Functions
| BallPoint ()
BallPoint & | operator= (const Vector2< int > &other)
| Assignment operator.
## Public Attributes
bool | greenIsClose
bool | yellowIsClose
bool | hardEdge
bool | atBorder

## Detailed Description

The class represents a ball point.

Definition at line 78 of file GT2005BallSpecialist.h.

## Constructor & Destructor Documentation

GT2005BallSpecialist::BallPoint::BallPoint | ( |  | ) | `[inline]`

| Definition at line 81 of file GT2005BallSpecialist.h. References atBorder, greenIsClose, hardEdge, and yellowIsClose.

## Member Function Documentation

BallPoint& GT2005BallSpecialist::BallPoint::operator= | ( | const Vector2< int > & | other | ) | `[inline]`

  | Assignment operator. Parameters:
  other | The other vector that is assigned to this one
Returns: A reference to this object after the assignment. Reimplemented from Vector2< int >. Definition at line 87 of file GT2005BallSpecialist.h. References Vector2< V >::x, and Vector2< V >::y.

## Member Data Documentation

bool GT2005BallSpecialist::BallPoint::greenIsClose

| Definition at line 82 of file GT2005BallSpecialist.h. Referenced by BallPoint().

bool GT2005BallSpecialist::BallPoint::yellowIsClose

| Definition at line 83 of file GT2005BallSpecialist.h. Referenced by BallPoint().

bool GT2005BallSpecialist::BallPoint::hardEdge

| Definition at line 84 of file GT2005BallSpecialist.h. Referenced by BallPoint().

bool GT2005BallSpecialist::BallPoint::atBorder

| Definition at line 85 of file GT2005BallSpecialist.h. Referenced by BallPoint(), and GT2005BallSpecialist::scanForBallPoints().

The documentation for this class was generated from the following file:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005BallSpecialist.h